<!DOCTYPE html>

<html lang="en" data-content_root="../">
  <head>
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.18.1: http://docutils.sourceforge.net/" />

    <title>Change log &#8212; pydecha 0.3+13.g1a2fafa.dirty documentation</title>
    <link rel="stylesheet" type="text/css" href="../_static/pygments.css?v=b3523f8e" />
    <link rel="stylesheet" type="text/css" href="../_static/alabaster.css?v=cb25574f" />
    <script src="../_static/documentation_options.js?v=2fb7d489"></script>
    <script src="../_static/doctools.js?v=888ff710"></script>
    <script src="../_static/sphinx_highlight.js?v=dc90522c"></script>
    <link rel="index" title="Index" href="../genindex.html" />
    <link rel="search" title="Search" href="../search.html" />
    <link rel="next" title="FAQ" href="faq.html" />
    <link rel="prev" title="Authors" href="authors.html" />
   
  <link rel="stylesheet" href="../_static/custom.css" type="text/css" />
  
  
  <meta name="viewport" content="width=device-width, initial-scale=0.9, maximum-scale=0.9" />

  </head><body>
  

    <div class="document">
      <div class="documentwrapper">
        <div class="bodywrapper">
          

          <div class="body" role="main">
            
  <section id="change-log">
<h1>Change log<a class="headerlink" href="#change-log" title="Link to this heading">¶</a></h1>
<dl class="field-list simple" id="changelog">
<dt class="field-odd">v0.1<span class="colon">:</span></dt>
<dd class="field-odd"><p>Embedding pyqtgraph in the interface, communication tab with each
instrument</p>
</dd>
</dl>
<hr class="docutils" />
<dl class="field-list simple">
<dt class="field-odd">v0.2<span class="colon">:</span></dt>
<dd class="field-odd"><p>Automation of the pipelines with the blocks/modules</p>
</dd>
</dl>
<hr class="docutils" />
<dl class="field-list simple">
<dt class="field-odd">v0.3<span class="colon">:</span></dt>
<dd class="field-odd"><ul class="simple">
<li><dl class="simple">
<dt>Add three modes of execution</dt><dd><ul>
<li><p>Create Module [cm] to create a module (with the three blocks)</p></li>
<li><p>Documentation [doc] to manage documentation using a yaml configuration file</p></li>
<li><p>Characterisation [char] to start the pipelines with a yaml configuration file</p></li>
</ul>
</dd>
</dl>
</li>
<li><p>Can run on Windows and Unix machines</p></li>
<li><p>logger can be printed to screen AND saved to the output</p></li>
<li><p>[cm] Create a template that is used to create a new module</p></li>
<li><p>[cm] Module creation takes a detector type argument dt:[cmos, ccd] to
place the module in the correct location</p></li>
<li><p>[doc] Documentation takes a action type argument du to update the current
documentation with the modules described in the yaml configuration file</p></li>
<li><p>[doc] adding a tutorial for a first analysis module creation</p></li>
<li><dl class="simple">
<dt>[char] Create analysis common block, all analysis module inherit from this</dt><dd><ul>
<li><p><em>save_param</em> to save a parameter in the analysis into the final yaml file</p></li>
<li><p><em>save_fig</em> to save a mpl figure in a png file with possibility to tag it</p></li>
<li><p><em>save_map</em> to save a numpy array to a FITS file with possibility to add metadata</p></li>
<li><p><em>get_info_dataset</em> to get header info from a list of FITS, possibility to save it to excel</p></li>
</ul>
</dd>
</dl>
</li>
<li><p>Pipelines can be re-run using a yaml file taken from outputs folder</p></li>
</ul>
</dd>
</dl>
</section>


          </div>
          
        </div>
      </div>
      <div class="sphinxsidebar" role="navigation" aria-label="main navigation">
        <div class="sphinxsidebarwrapper">
<h1 class="logo"><a href="../index.html">pydecha</a></h1>








<h3>Navigation</h3>
<p class="caption" role="heading"><span class="caption-text">Introduction</span></p>
<ul>
<li class="toctree-l1"><a class="reference internal" href="../introduction/pydecha.html">PYDECHA</a></li>
<li class="toctree-l1"><a class="reference internal" href="../introduction/installation.html">Installation</a></li>
<li class="toctree-l1"><a class="reference internal" href="../introduction/first_steps.html">Getting started</a></li>
</ul>
<p class="caption" role="heading"><span class="caption-text">Characterization modules</span></p>
<ul>
<li class="toctree-l1"><a class="reference internal" href="../modules/new_module.html">Tutorial for new module</a></li>
<li class="toctree-l1"><a class="reference internal" href="../modules/modules_ccd.html">Modules CCD</a></li>
<li class="toctree-l1"><a class="reference internal" href="../modules/modules_cmos.html">Modules CMOS</a></li>
</ul>
<p class="caption" role="heading"><span class="caption-text">About</span></p>
<ul class="current">
<li class="toctree-l1"><a class="reference internal" href="acronyms.html">Acronyms</a></li>
<li class="toctree-l1"><a class="reference internal" href="authors.html">Authors</a></li>
<li class="toctree-l1 current"><a class="current reference internal" href="#">Change log</a></li>
<li class="toctree-l1"><a class="reference internal" href="faq.html">FAQ</a></li>
<li class="toctree-l1"><a class="reference internal" href="license.html">License</a></li>
<li class="toctree-l1"><a class="reference internal" href="references.html">References</a></li>
</ul>

<div class="relations">
<h3>Related Topics</h3>
<ul>
  <li><a href="../index.html">Documentation overview</a><ul>
      <li>Previous: <a href="authors.html" title="previous chapter">Authors</a></li>
      <li>Next: <a href="faq.html" title="next chapter">FAQ</a></li>
  </ul></li>
</ul>
</div>
<div id="searchbox" style="display: none" role="search">
  <h3 id="searchlabel">Quick search</h3>
    <div class="searchformwrapper">
    <form class="search" action="../search.html" method="get">
      <input type="text" name="q" aria-labelledby="searchlabel" autocomplete="off" autocorrect="off" autocapitalize="off" spellcheck="false"/>
      <input type="submit" value="Go" />
    </form>
    </div>
</div>
<script>document.getElementById('searchbox').style.display = "block"</script>








        </div>
      </div>
      <div class="clearer"></div>
    </div>
    <div class="footer">
      &copy;2019, European Southern Observatory.
      
      |
      Powered by <a href="http://sphinx-doc.org/">Sphinx 7.2.6</a>
      &amp; <a href="https://github.com/bitprophet/alabaster">Alabaster 0.7.12</a>
      
      |
      <a href="../_sources/about/changelog.rst.txt"
          rel="nofollow">Page source</a>
    </div>

    

    
  </body>
</html>